%global _smp_mflags -j1
%global so_version 0

Name:           giza
Version:        1.4.4
Release:        2%{?dist}
Summary:        Scientific plotting library for C/Fortran

License:        LGPL-3.0-only
URL:            https://danieljprice.github.io/giza
Source:         https://github.com/danieljprice/giza/releases/download/v%{version}/giza-v%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  gcc-gfortran
BuildRequires:  gcc

%if 0%{?rhel} && 0%{?rhel} < 10
BuildRequires:  xorg-x11-server-Xvfb
%else
BuildRequires:  xwayland-run
%if 0%{?rhel}
BuildRequires:  mutter
%else
BuildRequires:  weston
%endif
%endif

%description
Scientific plotting library built on cairo that provides uniform output to
multiple devices. It is written in standard ANSI C and has bindings for
Fortran 90/95/2003. Devices currently supported are: the X Window system,
PDF, PostScript, EPS, PNG and SVG. It also provides a drop-in replacement
for the PGPLOT graphics library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gcc-gfortran%{?_isa}

%description    devel
The %{name}-devel package contains libraries, header files, and a Fortran
module, for developing applications that use %{name}.

%package        doc
BuildArch:      noarch
Summary:        Documentation files for %{name}

%description    doc
The %{name}-doc package contains documentation for developing applications
that use %{name}.

%prep
%autosetup -n %{name}

%build
%configure --disable-static --disable-silent-rules CPPFLAGS=-DGIZA_HAS_FT_FONT
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%check
%if 0%{?rhel} && 0%{?rhel} < 10
yes "" | xvfb-run --server-args="-screen 0 1024x768x24" make check
%else
%if 0%{?rhel}
yes "" | xwfb-run -c mutter -s \\-geometry -s 1024x768 -- make check
%else
yes "" | xwfb-run -c weston -s \\-geometry -s 1024x768 -- make check
%endif
%endif

%install
%make_install
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -rf %{buildroot}%{_docdir}

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog LATEST.md NEWS README.md
%license COPYING
%if 0%{?rhel} && 0%{?rhel} < 8
%{_libdir}/*.so.%{so_version}* 
%else
%{_libdir}/*.so.%{so_version}{,.*}
%endif

%files devel
%{_fmoddir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%license COPYING
%doc docs/*

%changelog
* Sat Jan  4 2025 Joachim Frieben <jfrieben@hotmail.com> - 1.4.4-2
- Update license field
- Require mutter as default compositor on EL 10

* Sat Dec 28 2024 Joachim Frieben <jfrieben@hotmail.com> - 1.4.4-1
- Update to 1.4.4
- Drop GCC 14 compiler patch

* Sun Apr 28 2024 Joachim Frieben <jfrieben@hotmail.com> - 1.4.1-1
- Update to 1.4.1
- Update license field
- Fix GCC 14 compilation issue
- Remove some unused direct dependencies of shared libraries

* Mon Sep 19 2022 Joachim Frieben <jfrieben@hotmail.com> - 1.3.2-3
- Fix build failure on EL 7

* Sun Sep 18 2022 Joachim Frieben <jfrieben@hotmail.com> - 1.3.2-2
- Improve compliance with packaging guidelines

* Sun Mar 20 2022 Joachim Frieben <jfrieben@hotmail.com> - 1.3.2-1
- Update to 1.3.2
- Drop patch for reverting commit #57da526

* Mon Feb 28 2022 Joachim Frieben <jfrieben@hotmail.com> - 1.3.1-1
- Update to 1.3.1
- Revert commit #57da526 due to incorrect handling of string length

* Mon Aug  9 2021 Joachim Frieben <jfrieben@hotmail.com> - 1.2.1-1
- Update to 1.2.1

* Mon Feb 15 2021 Joachim Frieben <jfrieben@hotmail.com> - 1.2.0-1
- Update to 1.2.0

* Sat Apr 27 2019 Joachim Frieben <jfrieben@hotmail.com> - 1.1.0-3
- Modify spec file for EPEL compatibility

* Sun Mar 17 2019 Joachim Frieben <jfrieben@hotmail.com> - 1.1.0-2
- Address issues from package review

* Wed Jan 23 2019 Joachim Frieben <jfrieben@hotmail.com> - 1.1.0-1
- Update to 1.1.0

* Sun Sep  9 2018 Joachim Frieben <jfrieben@hotmail.com> - 1.0.0-1
- Update to 1.0.0

* Sat Mar 17 2018 Joachim Frieben <jfrieben@hotmail.com> - 0.9.5-1
- Update to 0.9.5

* Sat Dec 12 2015 Joachim Frieben <jfrieben@hotmail.com> - 0.9.4-2
- Address issues from package review

* Thu Dec 10 2015 Joachim Frieben <jfrieben@hotmail.com> - 0.9.4-1
- Initial package
